Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2008-0217

CVE information

Published

15 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The script program in FreeBSD 5.0 through 7.0-PRERELEASE invokes openpty, which creates a pseudo-terminal with world-readable and world-writable permissions when it is not run as root, which allows local users to read data from the terminal of the user running script..

CVSSv2.0 Score

Severity
Medium
Base Score
6.9/10
Exploit Score
3.4/10
Access Vector
Local
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:freebsd:freebsd:7.0:pre-release:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:5.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:5.0:*:*:*:*:*:*:*
  Yes
- -